MAN-RECODE(1)

BEZEICHNUNG
man-recode - wandelt Handbuchseiten in eine andere Kodierung um

ÜBERSICHT
man-recode -t neue_Kodierung {--suffix=Endung|--in-place} [-dqhV] [Dateiname]

BESCHREIBUNG
man-recode wandelt mehrere Handbuchseiten von einer Kodierung in eine andere um, wobei die entsprechende Kodierung der Eingabe für jede Handbuchseite geschätzt wird. Dies ist nützlich, wenn Sie häufig Handbuchseiten neu kodieren, die in veralteten Kodierungen vorliegen, oder in Erstellungssystemen, die für die Installation eine Reihe von Seiten in eine einheitliche Kodierung (üblicherweise UTF-8) umwandeln müssen. Beim Umwandeln vieler Handbuchseiten ist dieses Programm viel schneller als die Ausführung von man --recode oder manconv mit jeder Seite.

Wenn in der ersten Zeile einer Handbuchseite eine Kodierung angegeben ist, wird wird diese Angabe als Eingabekodierung für diese Seite verwendet. Schlägt dies fehl, wird versucht, die Eingabekodierung anhand des Dateinamens zu bestimmen.

Angaben der Kodierung haben die folgende Form:

    '\" -*- coding: UTF-8 -*-

oder (wenn auch Präprozessoren für Handbuchseiten angegeben werden müssen):

    '\" t -*- coding: ISO-8859-1 -*-

OPTIONEN

-t Kodierung, --to-code=Kodierung
    Konvertiert die Handbuchseite nach Kodierung.

--suffix=Endung
    Bildet den Namen jeder Ausgabedatei durch Anhängen der angegebenen Endung an den Namen der Eingabedatei, wobei vorher jede Kompressionsendung entfernt wurde.

--in-place
    Überschreibt jede Eingabedatei mit der Ausgabe, nachdem vorher jede Kompressionsendung entfernt wurde.

-q, --quiet
    Keine Fehlermeldungen ausgeben, wenn die Seite nicht umgewandelt werden kann.

-d, --debug
    Ausgabe von Debug-Informationen

-h, --help
    Hilfetext anzeigen und beenden

-V, --version
    Versionsinformation anzeigen und beenden

SIEHE AUCH
iconv(1), man(1), manconv(1)

AUTOR
Colin Watson (cjwatson@debian.org).